package yi.iu.processor.channel;

import java.awt.*;
import yi.iu.processor.channel.ChannelMaker;


final public class GreenChannelMaker extends ChannelMaker
{
    public int[] getProcessed(int rgb[], Dimension d)
    {
	    int width=d.width, height=d.height;
        int size=width*height;
	    int[] red= new int[size];
	    
	    for (int i=0;i<size;i++) {
	        red[i]= rgb[i]>>8&255;
	    }
	    return red;
	}
}